Skip to navigation

Get a pentest

Requires the pentests:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

pentestIdstringRequired
Pentest UUID.

Response

The pentest.
idstringformat: "uuid"
labelstring
statusenum
Allowed values:
workspaceIdstringformat: "uuid"
workspaceNamestring
issuesFoundinteger
reportReadyboolean
startedAtdatetimeOptional
completedAtdatetimeOptional
errorMessagestringOptional
Present when the pentest ended with an error.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error